//////////////////////////////////////////////////////////////////////////////////////////////
// Tarn Adams makes no representations about the suitability of this software for any purpose.
// It is provided "as is" without express or implied warranty.
//////////////////////////////////////////////////////////////////////////////////////////////

#include <fmod.h>
#include <fmod_errors.h>

enum Sounds
	{
	SOUND_TRUMPET,
	SOUND_PLANE,
	SOUND_SHOT1,
	SOUND_SHOT2,
	SOUND_SHOT3,
	SOUND_SHOT4,
	SOUND_SCREAM1,
	SOUND_SCREAM2,
	SOUND_SCREAM3,
	SOUND_SCREAM4,
	SOUND_MGSHOT1,
	SOUND_MGSHOT2,
	SOUND_MGSHOT3,
	SOUND_MGSHOT4,
	SOUND_FARMORTAR1,
	SOUND_FARMORTAR2,
	SOUND_FARMORTAR3,
	SOUND_NEARMORTAR1,
	SOUND_NEARMORTAR2,
	SOUND_NEARMORTAR3,
	SOUND_GRENADE1,
	SOUND_GRENADE2,
	SOUND_GRENADE3,
	SOUND_WOUNDED1,
	SOUND_WOUNDED2,
	SOUND_WOUNDED3,
	SOUND_WOUNDED4,
	SOUND_GAS,
	SOUND_SWING1,
	SOUND_SWING2,
	SOUND_SWING3,
	SOUND_INCOMING,
	SOUND_CHOKE1,
	SOUND_CHOKE2,
	SOUND_CHOKE3,
	SOUNDNUM
	};

struct musicsoundst
{
	int song;
	char musicactive;
	char soundpriority;
	int soundplaying;

	int forcesongtime;
	unsigned int forcesongstart;

	char on;

	FSOUND_SAMPLE *samp[SOUNDNUM];
};

void startbackgroundmusic(int song);
void stopbackgroundmusic(void);
void playsound(int s);
void initsound(void);
void deinitsound(void);
void forcebackgroundmusic(int song,int time);